from functools import reduce

def mul(x,y):
    return x*y

arr=[2,3,5,6,3,4]    
x = reduce(mul,arr)
print(x)




def sumx(str_arr):
    def sum_str(x,y):
        return str(int(x)+int(y))
    return reduce(sum_str,str_arr)

arr_str=['2','4','6','5']
print(sumx(arr_str))



 